Subject: Re: bug#71313: [PATCH] Allow insert other elisp keywords in auto-insert

From: "Elijah G." <[email-masked]>
Date: Tue, 04 Jun 2024 18:54:19 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: "Elijah G." <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 02 Jun 2024 21:14:34 -0600
>>
>> >> From: "Elijah G." <[email-masked]>
>> >> Date: Sat, 01 Jun 2024 18:17:42 -0600
>> >>
>> >> this little patch allow insert any package keywords when using
>> >> auto-insert for insert elisp header lines.
>> >>
>> >> This is more a bugfix, since there is a bug when using Vertico that get
>> >> stuck in the keywords part, that bug can also apply to other completion
>> >> UIs or frameworks.
>> >>
>> >> Also there are some packages that uses non-standard keywords, i think it
>> >> would be better allowing insert other keywords.
>> >
>> > I'm not sure why it makes sense to allow keywords that are not in
>> > finder-known-keywords.  Such a keyword will never be used by any
>> > finder commands.
>>
>> You are right, I think I've found a better way for this bugfix.
>> Please see the new patch attached below, thanks.
>
> Thanks, but how will an empty string "fix bugs from 3rd-party
> completion UI"?  What am I missing here?

When using Completions UI such as Vertico or Helm, there is no way to
exit from Keyword Section to go to next auto-insert Sections unless the
user press a key sequense, for auto-insert input a empty string allow
close Keyword section without cancelling the next auto-insert actions.

This can be more a problem with `completing-read' than Completions UI,
that is why setting an empty string as default value fix this and can
fix this similar issue to other completions packages.